<bugID>1240186<Summary>Scrolling performance in large JS files in the debugger</Summary><Description>slowly scrolling through the file StrategyGame-HTML5-Shipping.js hangs the whole browser periodically for ~10 seconds at a time, which creates a stuttering experience.

via https://bugzilla.mozilla.org/show_bug.cgi?id=1158098#c6</Description></bugID>